package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4C3 extends MwfRequest<MWF4C3, MWF4C3Response> {

    @Parameter(name = "AppKey")
    MWF4C3 appKey(Long appKey);
    @Parameter(name = "BirthNumber")
    MWF4C3 birthNumber(String birthNumber);
    @Parameter(name = "BranchId")
    MWF4C3 branchId(String branchId);
    @Parameter(name = "FirstName")
    MWF4C3 firstName(String firstName);
    @Parameter(name = "KulKey")
    MWF4C3 kulKey(Long kulKey);
    @Parameter(name = "LastName")
    MWF4C3 lastName(String lastName);
    @Parameter(name = "SignatureDate")
    MWF4C3 signatureDate(java.util.Date signatureDate);
    @Parameter(name = "SignatureType")
    MWF4C3 signatureType(String signatureType);
    @Parameter(name = "Sso")
    MWF4C3 sso(String sso);
    @Parameter(name = "WfId")
    MWF4C3 wfId(String wfId);
}
